package cn.com.ty.lift.system.user.service;

import cn.com.ty.lift.system.user.entity.Menu;

import java.util.List;

/**
 * @author huangyuan
 * @date 2019-12-01
 * @description 菜单接口
 */
public interface IMenuService {
    /**
     * @description 通过角色信息获取菜单列表
     * @date 2019/11/27 10:03 AM
     * @param
     * @return
     */
    List<Menu> getByRoleId(Long roleId);

    /**
     * @description 菜单列表转路径
     * @date 2019/11/27 10:03 AM
     * @param menuList 菜单列表
     * @return
     */
    String menuToUrl(List<Menu> menuList);
}
